Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents
Interface IContentContext

All Superinterfaces:
  IContentEntity

All Known Implementing Classes:
  FormXObject, Page

    public interface IContentContext

extends IContentEntity

Content stream context.

Version:
  0.1.1, 11/14/11
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Method Summary
`Rectangle2D` | `getBox()` Gets the bounding box associated with this content context either explicitly (directly associated to the object) or (if not explicitly available) implicitly (inherited from a higher level object), expressed in default user-space units.
`Contents` | `getContents()` Gets the contents collection representing the content stream associated with this content context.
`Resources` | `getResources()` Gets the resources associated with this content context either explicitly (directly associated to the object) or (if not explicitly available) implicitly (inherited from a higher-level object).
`RotationEnum` | `getRotation()` Gets the rendering rotation of this content context.
`void` | `render(Graphics2D context, Dimension2D size)` Renders this content context into the specified rendering context.

Methods inherited from interface org.pdfclown.documents.contents.IContentEntity
`toInlineObject, toXObject`

Method Detail

### getBox

    Rectangle2D getBox()

  Gets the bounding box associated with this content context either explicitly (directly associated to the object) or (if not explicitly available) implicitly (inherited from a higher level object), expressed in default user-space units.

### getContents

    Contents getContents()

  Gets the contents collection representing the content stream associated with this content context.

  Since:
    0.0.5

### getResources

    Resources getResources()

  Gets the resources associated with this content context either explicitly (directly associated to the object) or (if not explicitly available) implicitly (inherited from a higher-level object).

  The implementing class MUST ensure that the returned object isn't `null`.

### getRotation

    RotationEnum getRotation()

  Gets the rendering rotation of this content context.

  Since:
    0.1.0

### render

    void render(Graphics2D context,
                Dimension2D size)

  Renders this content context into the specified rendering context.

  Parameters:
    `context` - Rendering context.
    `size` - Rendering canvas size.
  Since:
    0.1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.